> For the complete documentation index, see [llms.txt](https://gitbook.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://gitbook.com/docs/developers/gitbook-api/api-reference/integrations/get-an-integration-site-installation.md).

# Get an integration site installation

```json
{"openapi":"3.1.0","info":{"title":"GitBook API","version":"0.0.1-beta"},"tags":[{"name":"integrations","description":"Expand the capabilities of GitBook by connecting it with various external platforms—CRM, finding trackers, or CI/CD pipelines—through standardized integration endpoints.\n"}],"servers":[{"url":"{host}/v1","variables":{"host":{"default":"https://api.gitbook.com"}}}],"security":[{"user":[]},{"user-internal":[]},{"user-staff":[]},{"integration":[]},{"integration-installation":[]}],"components":{"securitySchemes":{"user":{"type":"http","scheme":"bearer"},"user-internal":{"type":"http","scheme":"bearer"},"user-staff":{"type":"http","scheme":"bearer"},"integration":{"type":"http","scheme":"bearer"},"integration-installation":{"type":"http","scheme":"bearer"}},"parameters":{"integrationName":{"name":"integrationName","in":"path","required":true,"description":"Name of the integration.","schema":{"type":"string","pattern":"^[a-zA-Z0-9-_.]+$","maxLength":100}},"installationId":{"name":"installationId","in":"path","required":true,"description":"Identifier of the installation","schema":{"type":"string"}},"siteId":{"name":"siteId","in":"path","required":true,"description":"The unique id of the site","schema":{"type":"string"}}},"schemas":{"IntegrationSiteInstallation":{"allOf":[{"$ref":"#/components/schemas/IntegrationContentInstallationBase"},{"type":"object","properties":{"site":{"description":"The site the integration is installed on. Using the string value is deprecated in favor of site.id","oneOf":[{"type":"string"},{"$ref":"#/components/schemas/Site"}]}},"required":["site"]}]},"IntegrationContentInstallationBase":{"type":"object","description":"Base properties of an installation of an integration on a site or space.","properties":{"integration":{"description":"Unique name identifier of the integration","type":"string"},"installation":{"description":"ID of the integration installation","type":"string"},"status":{"$ref":"#/components/schemas/IntegrationInstallationStatus"},"configuration":{"description":"Configuration of the integration for this site","type":"object"},"externalIds":{"$ref":"#/components/schemas/IntegrationInstallationExternalIds"},"urls":{"type":"object","description":"URLs associated with the object","properties":{"location":{"type":"string","description":"URL of the integration's installation in the API","format":"uri"},"publicEndpoint":{"type":"string","description":"Public HTTP endpoint for the integration's installation","format":"uri"},"publicContentEndpoint":{"type":"string","description":"Public endpoint serving the integration's rendered content (e.g. WebFrames), isolated from the cookie-bearing publicEndpoint origin. Equals publicEndpoint when no separate content origin is configured.","format":"uri"}},"required":["location","publicEndpoint","publicContentEndpoint"]}},"required":["integration","installation","status","configuration","externalIds","urls"]},"IntegrationInstallationStatus":{"type":"string","enum":["active","pending","paused"]},"IntegrationInstallationExternalIds":{"type":"array","description":"External IDs assigned by the integration.","maxItems":5,"items":{"type":"string"}},"Site":{"type":"object","properties":{"object":{"type":"string","enum":["site"]},"id":{"type":"string","description":"Unique identifier of the site"},"type":{"$ref":"#/components/schemas/SiteType"},"appliedType":{"$ref":"#/components/schemas/SiteType","description":"The currently applied type of the site. For example, frozen sites will have this set to Basic."},"title":{"$ref":"#/components/schemas/SiteTitle"},"icon":{"oneOf":[{"$ref":"#/components/schemas/CustomizationFavicon"},{"type":"null"}]},"hostname":{"$ref":"#/components/schemas/SiteHostname"},"basename":{"$ref":"#/components/schemas/SiteBasename"},"proxy":{"$ref":"#/components/schemas/SiteProxy"},"visibility":{"$ref":"#/components/schemas/SiteVisibility"},"defaultLevel":{"$ref":"#/components/schemas/DefaultLevel"},"permissions":{"type":"object","description":"The set of permissions for the site.","properties":{"view":{"type":"boolean","description":"Can the user view the site."},"access":{"type":"boolean","description":"Can the user access the site in the application."},"admin":{"type":"boolean","description":"Can the user edit the site and manage its settings."},"installIntegration":{"type":"boolean","description":"Can the user install integrations on the site."},"viewAdaptiveSchema":{"type":"boolean","description":"Can the user view the adaptive schema of the site."},"editAdaptiveSchema":{"type":"boolean","description":"Can the user edit the adaptive schema of the site."}},"required":["view","access","admin","installIntegration","viewAdaptiveSchema","editAdaptiveSchema"]},"published":{"type":"boolean","description":"Whether the site is live or not. If true, the site is accessible to the audience defined by the visibility setting."},"siteSpaces":{"type":"number"},"gitSync":{"$ref":"#/components/schemas/GitSyncState"},"createdAt":{"type":"string","format":"date-time"},"adaptiveContent":{"$ref":"#/components/schemas/SiteAdaptiveContent"},"ads":{"$ref":"#/components/schemas/SiteAds"},"styleguide":{"$ref":"#/components/schemas/ContentRefSpace","description":"Reference to a GitBook space holding the team's writing styleguide.\nWhen present on a site, the editing agent receives the styleguide\ntable of contents in its system prompt and can fetch sections on\ndemand to check edits against the rules.\n"},"features":{"description":"A list of all premium features enabled on this site. For each feature we list the plan they belong to and whether the feature is frozen. A frozen feature is still enabled but cannot be changed or modified.\n","type":"array","items":{"$ref":"#/components/schemas/SiteFeature"}},"urls":{"type":"object","description":"URLs associated with the object","properties":{"location":{"type":"string","description":"URL of the site in the API","format":"uri"},"app":{"type":"string","description":"URL of the site in the application","format":"uri"},"published":{"type":"string","description":"URL of the published version of the site. Only defined when site is published.","format":"uri"},"preview":{"type":"string","description":"URL of the preview version of the site.","format":"uri"},"login":{"type":"string","description":"URL of the login endpoint for visitors to authenticate with the site auth backend.\n","format":"uri"},"logout":{"type":"string","description":"URL of the logout endpoint for visitors to sign out from the site auth backend.\n","format":"uri"}},"required":["app","location","preview"]}},"required":["object","id","type","appliedType","title","visibility","defaultLevel","permissions","published","createdAt","siteSpaces","features","urls"]},"SiteType":{"type":"string","description":"The type of the site","enum":["basic","premium","ultimate","sponsored","legacy-basic","legacy-premium"]},"SiteTitle":{"type":"string","description":"Title of the site","minLength":2,"maxLength":128},"CustomizationFavicon":{"oneOf":[{"type":"object","properties":{"icon":{"$ref":"#/components/schemas/CustomizationThemedURL"}},"required":["icon"]},{"type":"object","properties":{"emoji":{"$ref":"#/components/schemas/Emoji"}},"required":["emoji"]},{"type":"object","properties":{},"additionalProperties":false}]},"CustomizationThemedURL":{"type":"object","properties":{"light":{"$ref":"#/components/schemas/URL"},"dark":{"$ref":"#/components/schemas/URL"}},"required":["light","dark"]},"URL":{"type":"string","format":"uri","maxLength":2048},"Emoji":{"type":"string","maxLength":50,"format":"emoji","description":"Unicode codepoint or character of the emoji"},"SiteHostname":{"type":"string","description":"Custom hostname for the site, for e.g. docs.mycompany.com","pattern":"^([a-z0-9]([a-z0-9-]{0,61}[a-z0-9])?[.]){2,}[a-z0-9][a-z0-9-]{0,61}[a-z0-9]$","maxLength":512},"SiteBasename":{"type":"string","description":"Basename for the site. For e.g. api","minLength":1,"maxLength":100},"SiteProxy":{"type":"object","properties":{"origin":{"$ref":"#/components/schemas/SiteProxyOrigin"},"target":{"type":"string","description":"The target URL to which the requests at the origin URL should be proxied to."}},"required":["origin","target"]},"SiteProxyOrigin":{"type":"string","description":"Proxy URL for the site, for e.g. company.com/docs or www.company.com/developer/docs etc.","pattern":"^([\\w-]+\\.)*[\\w-]+\\.[a-zA-Z]{2,}(\\/[\\w-]+)+$","maxLength":512},"SiteVisibility":{"type":"string","description":"The visibility setting of the site determines the audience of the site.\n* `public`: Anyone can access the site, and the site is indexed by search engines.\n* `unlisted`: Anyone can access the site, and the site is not indexed by search engines\n* `share-link`: Anyone with a secret token in the url can access the site.\n* `visitor-auth`: Anyone authenticated through a JWT token can access the site.\n","enum":["public","unlisted","share-link","visitor-auth"]},"DefaultLevel":{"description":"Default level for a piece of content","oneOf":[{"$ref":"#/components/schemas/MemberRoleOrGuest"},{"type":"string","enum":["inherit"]}]},"MemberRoleOrGuest":{"description":"The role of a member in an organization, null for guests","oneOf":[{"$ref":"#/components/schemas/MemberRole"},{"type":"null"}]},"MemberRole":{"type":"string","description":"\"The role of a member in an organization.\n\"admin\": Can administrate the content: create, delete spaces, ...\n\"create\": Can create content.\n\"review\": Can review content.\n\"edit\": Can edit the content (live or change requests).\n\"comment\": Can access the content and its discussions.\n\"read\": Can access the content, but cannot update it in any way.\n","enum":["admin","create","edit","review","comment","read"]},"GitSyncState":{"type":"object","properties":{"repoName":{"type":"string","description":"Repository name."},"installationStatus":{"$ref":"#/components/schemas/GitSyncInstallationStatus"},"installationProvider":{"$ref":"#/components/schemas/GitSyncProvider"},"integration":{"type":"string","deprecated":true,"description":"The integration name providing the Git Sync."},"installationId":{"type":"string","description":"The ID of the Git Sync installation."},"url":{"type":"string","description":"The URL to the repository tree, used when rendering public content."},"operation":{"type":"object","description":"The latest operation on the Git Sync installation.","properties":{"state":{"$ref":"#/components/schemas/GitSyncOperationState"}},"required":["state"]},"updatedAt":{"description":"When the Git provider details were last updated","$ref":"#/components/schemas/Timestamp"}}},"GitSyncInstallationStatus":{"type":"string","enum":["unauthenticated","active","pending"]},"GitSyncProvider":{"type":"string","description":"The provider of the Git Sync installation.","enum":["github","gitlab","github-legacy"]},"GitSyncOperationState":{"type":"string","description":"* `running`: The operation is still running\n* `failure`: The operation failed\n* `success`: The operation was successful\n* `timeout`: The operation timed out\n","enum":["running","failure","success","timeout"]},"Timestamp":{"type":"string","format":"date-time"},"SiteAdaptiveContent":{"type":"object","properties":{"enabled":{"type":"boolean","description":"Whether adaptive content should be enabled on the site."}},"required":["enabled"]},"SiteAds":{"oneOf":[{"type":"object","required":["status","submittable"],"properties":{"status":{"type":"string","enum":["pending"]},"submittable":{"type":"boolean","description":"True if the user can submit the site for review."}}},{"type":"object","required":["status","topic"],"properties":{"status":{"type":"string","enum":["in-review"]},"topic":{"$ref":"#/components/schemas/SiteAdsTopic"}}},{"type":"object","required":["status"],"properties":{"status":{"type":"string","enum":["rejected"]},"reason":{"type":"string","description":"Reason for the rejection"}}},{"type":"object","required":["status","topic","zoneId"],"properties":{"status":{"type":"string","enum":["live","disabled"]},"topic":{"$ref":"#/components/schemas/SiteAdsTopic"},"zoneId":{"type":"string","description":"The ad network zone ID"}}}]},"SiteAdsTopic":{"type":"string","description":"Topic of the content","enum":["webdev","crypto"]},"ContentRefSpace":{"type":"object","properties":{"kind":{"type":"string","enum":["space"]},"space":{"type":"string"}},"required":["kind","space"]},"SiteFeature":{"type":"object","description":"A site feature and the plan it is available on.","properties":{"id":{"$ref":"#/components/schemas/SiteFeatureKey"},"plan":{"$ref":"#/components/schemas/SiteType"},"frozen":{"description":"A frozen feature is still enabled but cannot be changed or modified.","type":"boolean"},"customizations":{"description":"A list of the actual advanced customizations used (only applicable for sites-advanced-customization)","type":"array","items":{"$ref":"#/components/schemas/SiteCustomizationFeature"}}},"required":["id","plan","frozen"]},"SiteFeatureKey":{"type":"string","description":"The site feature identifier","enum":["sites-adaptive-content","sites-advanced-customization","sites-advanced-insights","sites-ads","sites-ai-search","sites-ai-assistant","sites-ai-insights","sites-connections","sites-channels","sites-embed","sites-api-playground","sites-basic-customization","sites-custom-domain","sites-custom-fonts","sites-custom-subdirectory","sites-full-text-search","sites-multivariant-site","sites-no-custom-domain","sites-page-feedback","sites-page-traffic-insights","sites-pdf-export","sites-preview-deployments","sites-public-visibility","sites-redirects","sites-search-insights","sites-sections","sites-seo","sites-share-links","sites-unlisted-visibility","sites-user-contribution","sites-visitor-authentication","sites-visitors"]},"SiteCustomizationFeature":{"type":"string","description":"A list of all premium customizations.","enum":["header-logo","header-primary-link","theme-preset","premium-fonts","custom-icons","footer-logo","footer-links","footer-copyright","semantic-colors"]}},"responses":{"NotFoundError":{"description":"Not Found","content":{"application/json":{"schema":{"type":"object","required":["error"],"properties":{"error":{"type":"object","properties":{"code":{"type":"integer","format":"int32","enum":[404]},"message":{"type":"string"}},"required":["code","message"]}}}}}}}},"paths":{"/integrations/{integrationName}/installations/{installationId}/sites/{siteId}":{"get":{"operationId":"getIntegrationSiteInstallation","summary":"Get an integration site installation","tags":["integrations"],"parameters":[{"$ref":"#/components/parameters/integrationName"},{"$ref":"#/components/parameters/installationId"},{"$ref":"#/components/parameters/siteId"},{"name":"extended","in":"query","description":"If true, returns the site object in each items. If false, returns the site ID in each items.","schema":{"type":"boolean","default":false}}],"responses":{"200":{"description":"Integration site installation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IntegrationSiteInstallation"}}}},"404":{"$ref":"#/components/responses/NotFoundError"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://gitbook.com/docs/developers/gitbook-api/api-reference/integrations/get-an-integration-site-installation.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
